Bug 112574 - Image style editing crashes LO
Summary: Image style editing crashes LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: highest critical
Assignee: Michael Stahl
URL:
Whiteboard: target:6.0.0 target:5.4.3 target:5.3.7
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-09-22 14:04 UTC by Koen Roggemans
Modified: 2017-12-12 16:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace (43.78 KB, text/plain)
2017-09-24 13:51 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koen Roggemans 2017-09-22 14:04:38 UTC
* add an image to a document
* change the properties
* create a new image style from the selected image
* apply the new image style to another image
-> works as expected: image is following the settings in the style

Then change the image style
*depending on what you change
 -> LO craches (eg changing the spacing around the image)
OR
 -> changes are not applied on the existing images, only on newly inserted images (eg % width of the text area)

Expected behaviour:
* LO doesn't crash
* Changes to an existing style are applied on all images in the document the style is applied to.
Comment 1 raal 2017-09-22 15:13:55 UTC
No crash witj Version: 6.0.0.0.alpha0+
Build ID: a40d37b4d61f70a51a739732bcf7ad94c2ca4f0a
CPU threads: 4; OS: Windows 6.1; UI render: default; 

What's your version of LO and OS?
Comment 2 Koen Roggemans 2017-09-23 07:20:47 UTC
Versie: 5.4.1.2 
Build ID: 1:5.4.1~rc2-0ubuntu0.16.04.1~lo0
Comment 3 Koen Roggemans 2017-09-23 08:28:12 UTC
as:
Video of what happens. Started with new, small document
https://youtu.be/WEqLcI7m_cg
Comment 4 raal 2017-09-23 09:29:33 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: afeff9102c2935139de4efd40fd2286dce396706
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_23:32:41
Comment 5 Xisco Faulí 2017-09-23 19:49:50 UTC
Also reproduced in

Versión: 5.4.1.2
Id. de compilación: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
Subproc. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 6 Xisco Faulí 2017-09-23 19:59:35 UTC
Also reproduced in

Version: 5.3.0.0.alpha1+
Build ID: 4136757b4e51c4e6f7cb4132c95538a7f831ef2c
CPU Threads: 4; OS Version: Linux 4.10; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 7 Xisco Faulí 2017-09-24 13:36:36 UTC
Regression introduced by:

author	Michael Stahl <mstahl@redhat.com>	2015-05-08 21:27:49 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-05-09 09:02:26 (GMT)
commit	e07feb9457f2ffb373ae69b73dda290140e4005f (patch)
tree	0d0bccf291f44c36d3cb174a02bc1a0000ae3b34
parent	fb73274fcce1edd3d898b7f79700fea96d0040f9 (diff)
sw: fix assert with frames anchored in redlines on rhbz490395-1.odt
SwRangeRedline::Show() will move nodes around in the nodes-array, which
means that using SwNodeIndex as a key in a map that has a lifetime
not limited by the stack is a bad idea, as the map will become unsorted.

Remove SwFrmFmtAnchorMap from SwDoc and replace it with new
SwNode::m_pAnchoredFlys to do the same mapping.

(regression from 738fb2ad77e5a1a4d6e2dc540886a17f4527e4db)

Bisected with bibisect-50max

Adding Cc: to Michael Stahl
Comment 8 Xisco Faulí 2017-09-24 13:51:26 UTC
Created attachment 136512 [details]
gdb backtrace
Comment 9 Commit Notification 2017-09-26 15:30:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17fe1e19e01f8b23bcd23cc7c1789e8f7064d06e

tdf#112574 sw: don't insert RES_ANCHOR into style item sets

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-09-26 15:30:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eed046433a847d3005e52c38963fb883322a39e6

tdf#112574 sw: assert if a frame style contains a RES_ANCHOR

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Michael Stahl 2017-09-26 15:32:03 UTC
fixed on master
Comment 12 Commit Notification 2017-09-27 09:56:16 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb64cf127dc6398f5d18d186a93966837db0bb1e&h=libreoffice-5-4

tdf#112574 sw: don't insert RES_ANCHOR into style item sets

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-09-27 09:57:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f1ef1d7e3caa806e5f5abddb3ac3761538b935b&h=libreoffice-5-3

tdf#112574 sw: don't insert RES_ANCHOR into style item sets

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.